/*
	NCP-010 Controller Version 11/19/2010-A
	(C) 2010 Jason Hunt nulluser@gmail.com

	This program is free software; you can redistribute it and/or
    	modify it under the terms of the GNU General Public License
    	as published by the Free Software Foundation; either version 2
    	of the License, or (at your option) any later version.

    	This program is distributed in the hope that it will be useful,
    	but WITHOUT ANY WARRANTY; without even the implied warranty of
    	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    	GNU General Public License for more details.

    	You should have received a copy of the GNU General Public License
    	along with this program; if not, write to the Free Software
    	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/


void update_servoes( void );

extern unsigned char servo_pos[];


#define DEVICE_CONT 	0x01
#define DEVICE_CAM1 	0x08
#define DEVICE_CAM2 	0x09


void controller_init ( void );

void controller_reset( void );
//void controller_packet( unsigned char *b );
void controller_reset_packet( void );
void controller_rx( char d );
void controller_process( void );
void controller_packet( unsigned char *buff );


void transfer_debug( void );


void controller_telemetry( void );
void controller_check( void );


extern int msg_telemetry ;
extern int msg_controller;
extern unsigned char msg_debug;

void hex_str( unsigned char *s, unsigned char v);

void debug(char *c);

extern unsigned char debug_len;
