/*
	Serial Camera Client 
	Version 11/24/2010-A
	(C) 2010 Jason Hunt nulluser@gmail.com

	This program is free software; you can redistribute it and/or
    	modify it under the terms of the GNU General Public License
    	as published by the Free Software Foundation; either version 2
    	of the License, or (at your option) any later version.

    	This program is distributed in the hope that it will be useful,
    	but WITHOUT ANY WARRANTY; without even the implied warranty of
    	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    	GNU General Public License for more details.

    	You should have received a copy of the GNU General Public License
    	along with this program; if not, write to the Free Software
    	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#ifndef JOYSTICK_H
#define JOYSTICK_H

typedef struct joystick_type
{
    double x, base_x;
    double y, base_y;
    
    bool buttons[16];
    
    bool up, down, left, right,
         up_left, up_right, 
         down_left, down_right;        
};

void joystick_start( void );
void joystick_check( void );

extern bool joystick_override;
extern joystick_type joystick;

#endif
