/*
	Serial Camera Client 
	Version 11/24/2010-A
	(C) 2010 Jason Hunt nulluser@gmail.com

	This program is free software; you can redistribute it and/or
    	modify it under the terms of the GNU General Public License
    	as published by the Free Software Foundation; either version 2
    	of the License, or (at your option) any later version.

    	This program is distributed in the hope that it will be useful,
    	but WITHOUT ANY WARRANTY; without even the implied warranty of
    	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    	GNU General Public License for more details.

    	You should have received a copy of the GNU General Public License
    	along with this program; if not, write to the Free Software
    	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#ifndef NETWORK_H
#define NETWORK_H


#define ROBOT_MOVEMENT          0x30
#define ROBOT_SENSOR_DATA       0x90
#define CAMERA_IMAGE            0x60

#define BUFFER_SIZE 1024

void network_start( HWND hwnd );
void network_stop( void );                        // Stop network subsystem
void network_message(WPARAM wParam, LPARAM lParam);   // Deal with network msg
int network_send(byte *data, unsigned int size);
void network_check( void );

extern bool client_connected;                   // True if client is connected

#endif

