/*
	NCP-010 Controller Version 11/19/2010-A
	(C) 2010 Jason Hunt nulluser@gmail.com

	This program is free software; you can redistribute it and/or
    	modify it under the terms of the GNU General Public License
    	as published by the Free Software Foundation; either version 2
    	of the License, or (at your option) any later version.

    	This program is distributed in the hope that it will be useful,
    	but WITHOUT ANY WARRANTY; without even the implied warranty of
    	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    	GNU General Public License for more details.

    	You should have received a copy of the GNU General Public License
    	along with this program; if not, write to the Free Software
    	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

	File: serial.h
*/

void serial_init( void );

void serial_check( void );

unsigned int get_checksum(unsigned char *buff, unsigned int len);

void serial_str( char *s);
void serial_ch(unsigned char c);
void serial_nib(unsigned char c);
void serial_hex(unsigned char c);


void serial_host_tx( unsigned char d );




extern unsigned int update_timeout;

extern int host_tx_pending ;

extern unsigned int host_rx_error;

