/*
	Serial Camera Client 
	Version 11/24/2010-A
	(C) 2010 Jason Hunt nulluser@gmail.com

	This program is free software; you can redistribute it and/or
    	modify it under the terms of the GNU General Public License
    	as published by the Free Software Foundation; either version 2
    	of the License, or (at your option) any later version.

    	This program is distributed in the hope that it will be useful,
    	but WITHOUT ANY WARRANTY; without even the implied warranty of
    	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    	GNU General Public License for more details.

    	You should have received a copy of the GNU General Public License
    	along with this program; if not, write to the Free Software
    	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/
#ifndef DISPLAY_H
#define DISPLAY_H

#include <windows.h>
#include "types.h"

#define MAX_LINE    200

#define font_x_size 8            // Font size in pixels
#define font_y_size 16           // Font y_size in pixels

#define text_row  12              // / font_y_size)              // Nuumber of text rows

void do_paint(HWND hwnd);
void update_display(HWND hwnd);
void setup_display( HWND hwnd );
void resize_display(HWND hwnd, LPARAM l);

//void add_line(char *);         // Add a line of text

void add_line(char *fmt, ... );


void display_start( void );

extern unsigned int display_x;
extern unsigned int display_y;


#endif

